[Databases] Set database privileges
curl --request POST \
--url https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/hosting/{id}/database-privileges \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"username": "<string>",
"database": "<string>",
"privileges": "ALL PRIVILEGES"
}
'import requests
url = "https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/hosting/{id}/database-privileges"
payload = {
"username": "<string>",
"database": "<string>",
"privileges": "ALL PRIVILEGES"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({username: '<string>', database: '<string>', privileges: 'ALL PRIVILEGES'})
};
fetch('https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/hosting/{id}/database-privileges', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Web Hosting
[Databases] Set database privileges
Set privileges for a user on a database.
POST
/
v1
/
organizations
/
{organization_id}
/
projects
/
{project_id}
/
hosting
/
{id}
/
database-privileges
[Databases] Set database privileges
Authorizations
Use Authorization: Bearer <token> header. Token can be a JWT token or an API key (format: sk-onetsolutions-...).
Path Parameters
Web hosting unique identifier
Organization unique identifier
Project unique identifier
Body
application/json
Response
Privileges set successfully
⌘I

